Subject: Emacs not deleting lock files when system-name is set to nil

From: Micky <[email-masked]>
Date: Sun, 15 Dec 2013 01:11:34 +0500

When setting system-name to nil (should that be allowed?), Emacs forgets
how to delete the lock files '.#.*' and all subsequent startups complain
about lockups by old dead PIDs.

>From what I get, either system-name should not be allowed to set as nil or
file locks should be still deleted on exists because they still have
usernames in the aliases.

GNU Emacs 24.3.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.2)
 of 2013-08-07 on -mnt-storage-buildroots-staging-x86_64-eric